Name:                lightcouch
Version:             0.1.8
Release:             1
Summary:             CouchDB Java API
License:             ASL 2.0
URL:                 http://www.lightcouch.org/
Source0:             https://github.com/lightcouch/LightCouch/archive/%{name}-%{version}.tar.gz
BuildRequires:       maven-local mvn(com.google.code.gson:gson) mvn(junit:junit)
BuildRequires:       mvn(org.apache.httpcomponents:httpclient) >= 4.3.3
BuildRequires:       mvn(org.sonatype.oss:oss-parent:pom:)
BuildArch:           noarch
%description
LightCouch aims at providing a simple API
for communicating with CouchDB databases.

%package javadoc
Summary:             Javadoc for %{name}
%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n LightCouch-%{name}-%{version}
find . -name "*.jar" -print -delete
find . -name "*.class" -print -delete
rm -r src/test/java/org/lightcouch/tests/AttachmentsTest.java \
 src/test/java/org/lightcouch/tests/BulkDocumentTest.java \
 src/test/java/org/lightcouch/tests/ChangeNotificationsTest.java \
 src/test/java/org/lightcouch/tests/CouchDbClientLoadTest.java \
 src/test/java/org/lightcouch/tests/DesignDocumentsTest.java \
 src/test/java/org/lightcouch/tests/DocumentsCRUDTest.java \
 src/test/java/org/lightcouch/tests/DBServerTest.java \
 src/test/java/org/lightcouch/tests/UpdateHandlerTest.java \
 src/test/java/org/lightcouch/tests/ViewsTest.java
%mvn_file : %{name}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Tue Aug 25 2020 Jeffery.Gao <gaojianxing@huawei.com> - 0.1.8-1
- Package init
